### Method

# RB ShellPlayer do_previous

#### Declaration [src]

    gboolean
    rb_shell_player_do_previous (
      RBShellPlayer* player
      GError** error
    )

#### Description [src]

If the current song has been playing for more than 3 seconds, restarts it, otherwise, goes back to the previous song. Fails if there is no current song, or if inside the first 3 seconds of the first song in the play order.

#### Return value

Type: `gboolean`

`TRUE` if successful.